Bug 43854 - Standard background color interferes when printing plain text...
Summary: Standard background color interferes when printing plain text...
Status: CLOSED FIXED
Alias: None
Product: kdeprint
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Other
: NOR normal (vote)
Target Milestone: ---
Assignee: Michael Goffioul
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-06-12 15:18 UTC by Michel Nolard
Modified: 2002-09-16 14:43 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michel Nolard 2002-06-12 15:04:32 UTC
(*** This bug was imported into bugs.kde.org ***)


  Package: kdeprint
  Version: 3.0

  When I use a color scheme which sets the standard background to a color d=
ifferent of white and try to print something the background color is used.
 For example I am reading a plain text mail in KMail then print it and t=
he background isn't black so it is very ink consuming. I haven't find an e=
asy way to have the background becoming white just for the priting without =
doing a lot of clicks in the KControl Center...

  I suggest that the standard background color should be automatically set =
to white during a QPainter object use in kdeprint and then restored just a=
fter.

  I am using Debian woody (2.3) kernel version 2.4.17 and libc 6.

--=20
NOLARD Michel
D=E9l=E9gu=E9 2=B0 Ma=EEtrise et Licence en Informatique
E-mail : mnolard@info.fundp.ac.be

"Unix is user friendly. It's just very picky about who its friends are..."
Comment 1 Michael Goffioul 2002-06-18 07:52:05 UTC
Fixed in CVS: HEAD and KDE_3_0_BRANCH branches.

-- 
------------------------------------------------------------------
Michael GoffioulIMEC-DESICS-MIRA
e-mail: goffioul@imec.be(Mixed-Signal and RF Applications)
Tel:    +32/16/28-8510Kapeldreef 75
Fax:    +32/16/28-15153001 HEVERLEE BELGIUM
------------------------------------------------------------------